Coolify logoCoolify
PATCH
/applications/{uuid}

Update application by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

Request Body

application/json

Application updated.

TypeScript Definitions

Use the request body type in TypeScript.

project_uuid?string

The project UUID.

server_uuid?string

The server UUID.

environment_name?string

The environment name.

github_app_uuid?string

The Github App UUID.

git_repository?string

The git repository URL.

git_branch?string

The git branch.

ports_exposes?string

The ports to expose.

destination_uuid?string

The destination UUID.

build_pack?string

The build pack type.

Value in"nixpacks" | "static" | "dockerfile" | "dockercompose"
name?string

The application name.

description?string

The application description.

domains?string

The application URLs in a comma-separated list.

git_commit_sha?string

The git commit SHA.

docker_registry_image_name?string

The docker registry image name.

docker_registry_image_tag?string

The docker registry image tag.

is_static?boolean

The flag to indicate if the application is static.

is_spa?boolean

The flag to indicate if the application is a single-page application (SPA). Only relevant when is_static is true.

is_auto_deploy_enabled?boolean

The flag to indicate if auto-deploy is enabled on git push. Defaults to true.

is_force_https_enabled?boolean

The flag to indicate if HTTPS is forced. Defaults to true.

install_command?string

The install command.

build_command?string

The build command.

start_command?string

The start command.

ports_mappings?string

The ports mappings.

base_directory?string

The base directory for all commands.

publish_directory?string

The publish directory.

health_check_enabled?boolean

Health check enabled.

health_check_path?string

Health check path.

health_check_port?string

Health check port.

health_check_host?string

Health check host.

health_check_method?string

Health check method.

health_check_return_code?integer

Health check return code.

health_check_scheme?string

Health check scheme.

health_check_response_text?string

Health check response text.

health_check_interval?integer

Health check interval in seconds.

health_check_timeout?integer

Health check timeout in seconds.

health_check_retries?integer

Health check retries count.

health_check_start_period?integer

Health check start period in seconds.

limits_memory?string

Memory limit.

limits_memory_swap?string

Memory swap limit.

limits_memory_swappiness?integer

Memory swappiness.

limits_memory_reservation?string

Memory reservation.

limits_cpus?string

CPU limit.

limits_cpuset?string

CPU set.

limits_cpu_shares?integer

CPU shares.

custom_labels?string

Custom labels.

custom_docker_run_options?string

Custom docker run options.

post_deployment_command?string

Post deployment command.

post_deployment_command_container?string

Post deployment command container.

pre_deployment_command?string

Pre deployment command.

pre_deployment_command_container?string

Pre deployment command container.

manual_webhook_secret_github?string

Manual webhook secret for Github.

manual_webhook_secret_gitlab?string

Manual webhook secret for Gitlab.

manual_webhook_secret_bitbucket?string

Manual webhook secret for Bitbucket.

manual_webhook_secret_gitea?string

Manual webhook secret for Gitea.

redirect?string

How to set redirect with Traefik / Caddy. www<->non-www.

Value in"www" | "non-www" | "both"
instant_deploy?boolean

The flag to indicate if the application should be deployed instantly.

dockerfile?string

The Dockerfile content.

dockerfile_location?string

The Dockerfile location in the repository.

docker_compose_location?string

The Docker Compose location.

docker_compose_custom_start_command?string

The Docker Compose custom start command.

docker_compose_custom_build_command?string

The Docker Compose custom build command.

docker_compose_domains?array<>

Array of URLs to be applied to containers of a dockercompose application.

watch_paths?string

The watch paths.

use_build_server?boolean

Use build server.

connect_to_docker_network?boolean

The flag to connect the service to the predefined Docker network.

force_domain_override?boolean

Force domain usage even if conflicts are detected. Default is false.

is_container_label_escape_enabled?boolean

Escape special characters in labels. By default, $ (and other chars) is escaped. So if you write $ in the labels, it will be saved as $$. If you want to use env variables inside the labels, turn this off.

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/applications/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "string"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Domain conflicts detected. Use force_domain_override=true to proceed.",  "warning": "Using the same domain for multiple resources can cause routing conflicts and unpredictable behavior.",  "conflicts": [    {      "domain": "example.com",      "resource_name": "My Application",      "resource_uuid": "abc123-def456",      "resource_type": "application",      "message": "Domain example.com is already in use by application 'My Application'"    }  ]}